Welcome to Water Restrictions, your go-to source for up-to-date information on water restrictions in your area.Water Restrictions LogoWater Restrictions
EndpointsOrganisations

Get Organisations

GET
/v1/organisations

Get a page of organisations with pagination metadata.

Query Parameters

pageNumber?|
Default1
Match^-?(?:0|[1-9]\d*)$
Formatint32
pageSize?|
Default10
Match^-?(?:0|[1-9]\d*)$
Formatint32

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/organisations"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "websiteUrl": null
    }
  ],
  "pageNumber": 0,
  "pageSize": 0,
  "totalCount": 0,
  "totalPages": 0,
  "hasPreviousPage": true,
  "hasNextPage": true
}
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Empty